Distribution EOLE - Tache #33353

Scénario # 33284 (Terminé (Sprint)): Créer un Agent Zéphir qui test la validité des certificats

Créer I'agent
10/27/2021 04:29 PM - Emmanuel GARETTE

Status: Fermé Start date: 10/18/2021

Priority: Normal Due date:

Assigned To: Emmanuel GARETTE % Done: 100%

Target version: Prestation Cadoles MEN 2021 42-45 Estimated time: 0.00 hour
Spent time: 0.00 hour

Description

Associated revisions

Revision de156d8b - 10/27/2021 04:28 PM - Emmanuel GARETTE

création d'un agent Zéphir pour vérifier la validité des certificats (ref #33284)

Revision 2f18fdd5 - 10/27/2021 04:29 PM - Emmanuel GARETTE

ajout de variables pour I'agent Zéphir de validation des certificats (ref #33284)

Revision 23db7bb2 - 12/06/2021 08:54 AM - Emmanuel GARETTE

une commande avec le code retour 1 ne renvoit pas forcement vers errback, valider en plus de pid (ref #33284)

History

#1 - 10/27/2021 04:30 PM - Emmanuel GARETTE

- Subject changed from Créé I'agent to Créer I'agent

#2 - 10/27/2021 04:30 PM - Emmanuel GARETTE
- Status changed from Nouveau to A valider

- % Done changed from 0 to 100

#3 - 11/10/2021 05:28 PM - Emmanuel GARETTE

- Status changed from A valider to Résolu

#4 - 11/16/2021 10:05 AM - Joél Cuissinat

zephir-client$ git branch -r --contains del56d8b
origin/HEAD —-> origin/master
origin/dist/eole/2.8.1/master
origin/master

#5 - 11/16/2021 10:48 AM - Joél Cuissinat
Ajout de pas dans https://dev-eole.ac-dijon.fr/squash/test-cases/4363/info

Les cas expirés et "pas encore valide" n'ont pas I'air gérés par l'agent ?
https://dev-eole.ac-dijon.fr/squash/test-cases/4363/info

#6 - 11/16/2021 10:57 AM - Joél Cuissinat

- Status changed from Résolu to En cours

#7 - 11/19/2021 03:42 PM - Emmanuel GARETTE

- Status changed from En cours to Résolu

<gnunux> en fait il y plusieurs fonctions qui valident les certificats dans le diagnose

<gnunux> c'est encore une fois un empilement de fonctionnalité

<gnunux> moi j'ai repris que celle qui permet de voir si le certificat va bientot expiré

<gnunux> ce que je veux dire c'est que pour ce certif ok ca regarde la date de début, mais pas pour les autres certificats

<gnunux> la fonction utilisé pour les certificats autosignés n'est pas utilisé (et n'est pas compatible) avec les autres types de certificats

#8 - 12/02/2021 02:15 PM - Daniel Dehennin
- File scribe-cert-agents-not-expired-OK.png added
- File scribe-cert-agents-expired-but-OK.png added

En suivant les étapes du test squash:

Lorsque le certificat est valide

root@scribe:~# /usr/share/eole/diagnose/05-common
*** Validité du certificat
eole.crt => Ok
DNS reconnus => scribe.domscribe.ac-test.fr addc.domscribe.ac-test.fr scribe.ac-test.fr

Retour

Etat : OK

Date de la mesure : 2021-12-02 14:11:44
Aucun probleme détecte

Intervalle de mesure : 86400 s

Chemin du certificat | Validité
Jetc/ssl/certs/eole.crt Valide

Lorsque le certificat est expiré

root@scribe:~# /usr/share/eole/diagnose/05-common
**% Validité du certificat

eole.crt => Erreur : certificate has expired
certificate has expired
Retour
Etat : OK
Date de la mesure : 2025-12-01 21:06:12

Aucun probleme détecté
Intervalle de mesure : 86400 s

Chemin du certificat | Validité
Jetc/ssl/certs/eole.crt Valide

#9 - 12/02/2021 02:54 PM - Daniel Dehennin

Arf, le test de validité n’est pas effectué dans le cas autosigné eole-common:source:diagnose/05-common@f4103bd#L94.

Pour tester, je I'ai ajouté:

-—— /usr/share/eole/diagnose/05-common.orig 2024-11-30 22:15:24.740000000 +0100

+++ /usr/share/eole/diagnose/05-common 2024-11-30 22:12:38.308000000 +0100
@@ -94,6 +94,7 @@
if [ ${cert_type} = "autosigné" ]
then
EchoGras "*** Validité du certificat"
+ TestValidCerts ${server_cert} ${server_pem}
if [ $server_cert != "/etc/ssl/certs/eole.crt" ]
then

TestCerts $server_cert 10 "certificat expiré"

Ce qui donne

root@scribe:~# /usr/share/eole/diagnose/05-common
*** Validité du certificat

DNS reconnus => scribe.domscribe.ac-test.fr addc.domscribe.ac-test.fr scribe.ac-test.fr
Expiration => dans moins de 15 jours.
Date de fin => dim. 01 déc. 2024 21:06:26 CET
CA => CA-scribe.domscribe.ac-test.fr
Certificat => valide

eole.crt => Ok
DNS reconnus => scribe.domscribe.ac-test.fr addc.domscribe.ac-test.fr scribe.ac-test.fr
https://dev-eole.ac-dijon.fr/projects/eole-common/repository/revisions/f4103bd/entry/diagnose/05-common#L94

#10 - 12/02/2021 02:56 PM - Daniel Dehennin

En tout cas, I'agent Zéphir a 1j de I'expiration est toujours OK.

#11 - 12/03/2021 10:32 AM - Emmanuel GARETTE

- Status changed from Résolu to En cours

- % Done changed from 100 to 50

#12 - 12/06/2021 11:53 AM - Emmanuel GARETTE

- Status changed from En cours to Résolu

- % Done changed from 50 to 100

OK maintenant :

root@eolebase:~# diagnose

fool

*** Validité du certificat

[..1]

root@eolebase:~# elinks http://eolebase.ac-test.fr:8090/agents/0/localcert/

eole.crt => Ok

DNS reconnus => eolebase.ac-test.fr

Surveillance des certificats

Chemin du certificat

Validité

/etc/ssl/certs/eole.crt Valide

root@eolebase:

root@eolebase
root@eolebase
root@eolebase
root@eolebase

root@eolebase:
root@eolebase:

root@eolebase
mer. 03 déc.

~#
HEd
HEet
HEE
HEd
~#
~#
HEd

systemctl stop ntp
END_DATE=$ (openssl x509
Y=$ (date -d "SEND_DATE"
M=$ (date -d "S$SEND_DATE"
D=$ (date -d "$SEND_DATE"
HH=$ (date -d "S$SEND_DATE"
MM=$ (date —-d "SEND_DATE"
date SMSDSHHSMMS ( (Y+1))

2025 22:14:00 CET
root@eolebase:~# systemctl restart z_stats.service

root@eolebase:~# diagnose

[..1]

*** Validité du certificat

eole.crt => Erreur

certificate has expired

[..1

root@eolebase:~# elinks http://eolebase.ac-test.fr:8090/agents/0/localcert/

Surveillance des certificats

Chemin du certificat
/etc/ssl/certs/eole.crt Fin de validité dans moins de 30 jours
Validité

-in /etc/ssl/certs/eole.crt -noout -enddate|cut -d"="

b
IH
b

o0 do oo

+%
+%

certificate has expired

Y
m
d

)
)
)
H)
M)

grep -C2 Chemin

grep -C2 Chemin

-£2)
#13 - 12/21/2021 10:54 AM - Joél Cuissinat
- Status changed from Résolu to Fermé

- Remaining (hours) set to 0.0

Vu, création d'un nouveau scénario pour les cas mal gérés en mode auto-signé => #33551
